Subject: Re: [PATCH] Simplify strchrnul() compat code

From: Andreas Ericsson <[email-masked]>
Date: Sun, 11 Nov 2007 13:35:47 +0100

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
>> René Scharfe wrote:
>>>  -#ifdef NO_STRCHRNUL
>>> +#if !defined(__GLIBC__) && !__GLIBC_PREREQ(2, 1)
>> This will break things for users of glibc-2.1.1 (the first release still
>> available from ftp://sources.redhat.com/pub/glibc/old-releases that
>> includes the strchrnul() function), since __GLIBC_PREREQ() was invented
>> after strchrnul() was introduced.
>>
>> Replacing __GLIBC__ with __GLIBC_PREREQ (as in the original patch) will
>> solve it nicely. Users of glibc-2.1.1 will be the odd minority where
>> strchrnul() is available in their libc but not used.
> 
> Do you mean this on top of René's patch?

Yes.

>  Although I do not
> think I saw "the original patch" that did it this way,

My memory seems to be failing. I never committed my proposal to my repo,
and the one I sent out was the __GLIBC__ || !__GLIBC_PREREQ thing. My
apologies.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231